APIFlights
Replace a flight track
PUT
bearerAuth tracks.write, flight.update.ownheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: tracks.write, flight.update.own
id*integerFlight ID.
Range
1 <= valueapplication/json- body
coordinates*array<array<number>>Items
2 <= items <= 100000sourceFormat*stringValue in
"gpx""kml""csv""readsb"sourceName?|Length
length <= 255times?array<integer>groundSpeedKt?array<number>trackDeg?array<number>ground?array<boolean>estimated?array<boolean>Saved track.
application/json- response
data*|nullcurl -X PUT 'https://your-instance.example/api/v1/flights/1/track' \ -H 'Content-Type: application/json' \ -d '{ "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx"}'Example Response
{ "data": { "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx", "sourceName": "string", "times": [ 0 ], "groundSpeedKt": [ 0 ], "trackDeg": [ 0 ], "ground": [ true ], "estimated": [ true ], "flightId": 0, "pointCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}